SDL_GetRenderMetalCommandEncoder(3)

NAME
SDL_GetRenderMetalCommandEncoder - Get the Metal command encoder for the current frame.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_GetRenderMetalCommandEncoder(SDL_Renderer *renderer);

DESCRIPTION
This function returns void* , so SDL doesn't have to include Metal's headers, but it can be safely cast to an id<MTLRenderCommandEncoder> . This will return NULL if Metal refuses to give SDL a drawable to render to, which might happen if the window is hidden/minimized/offscreen. This doesn't apply to command encoders for render targets, just the window's backbuffer. Check your return values!

FUNCTION PARAMETERS

renderer
    The renderer to query

RETURN VALUE
Returns an id<MTLRenderCommandEncoder> on success, or NULL if the renderer isn't a Metal renderer or there was an error.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderMetalLayer(3)